Bug 435641 - ConsoleKit forgets sessions when restarted
Summary: ConsoleKit forgets sessions when restarted
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: 8
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 435642
TreeView+ depends on / blocked
 
Reported: 2008-03-02 21:41 UTC by Nils Philippsen
Modified: 2015-01-14 23:20 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-03-03 02:09:15 UTC


Attachments (Terms of Use)

Description Nils Philippsen 2008-03-02 21:41:50 UTC
Description of problem:

When restarting ConsoleKit, for instance if a new version is available,
ConsoleKit seems to forget about the current sessions which makes subsequent
actions which need privileges fail.

Version-Release number of selected component (if applicable):
ConsoleKit-0.2.3-3.fc8.1

How reproducible:
Reproducible

Steps to Reproduce:
1. Login
2. "ck-list-sessions"
3. "service ConsoleKit restart"
4. "ck-list-sessions"
  
Actual results:
nils@wombat:~> ck-list-sessions 
nils@wombat:~> 

Expected results:
List of sessions, in this case there would have been two active X11 sessions

Additional info:
When this is solved, ConsoleKit should probably "service ConsoleKit condrestart"
when updated to ensure that e.g. security fixes are active after the update is
finished.

Comment 1 David Zeuthen 2008-03-03 02:09:15 UTC
No, it's a bug to restart ConsoleKit daemon. And it's not possible either,
there's no initscript anymore in Rawhide at least. See bug 435642 for why.

Comment 2 David Zeuthen 2008-03-03 02:16:42 UTC
(In reply to comment #1)
> No, it's a bug to restart ConsoleKit daemon. And it's not possible either,
> there's no initscript anymore in Rawhide at least. See bug 435642 for why.

(of course sending it SIGUSR1, SIGUSR2 is always possible etc. etc.. But from
where I'm sitting it's (currently) pointless to teach CK the same dance that
init does; e.g. reloading and passing state to the new process. Of course it's
up to Jon if he wants to add such a feature later on. We have bigger fish to fry
right now.)


Note You need to log in before you can comment on or make changes to this bug.